CREATE TABLE char_list_entries (
    id TEXT PRIMARY KEY,
    email TEXT,
    timestamp DATETIME DEFAULT CURRENT_TIMESTAMP
);

CREATE TABLE account (
    entry_id TEXT PRIMARY KEY,
    account_id TEXT,
    credits INTEGER,
    fortune_token INTEGER,
    unity_campaign_points INTEGER,
    early_game_event_tracker INTEGER,
    creation_timestamp TEXT,
    enchanter_support_dust INTEGER,
    vault TEXT,
    material_storage TEXT,
    gifts TEXT,
    temporary_gifts TEXT,
    potions TEXT,
    max_num_chars INTEGER,
    last_server TEXT,
    originating TEXT,
    pet_yard_type INTEGER,
    forge_fire_energy INTEGER,
    regular_forge_fire_blueprints TEXT,
    name TEXT,
    best_char_fame INTEGER,
    total_fame INTEGER,
    fame INTEGER,
    guild_name TEXT,
    guild_rank INTEGER,
    access_token_timestamp TEXT,
    access_token_expiration TEXT,
    owned_skins TEXT,
    FOREIGN KEY(entry_id) REFERENCES char_list_entries(id)
);

CREATE TABLE class_stats (
    id INTEGER PRIMARY KEY AUTOINCREMENT,
    entry_id TEXT,
    account_id TEXT,
    class_type INTEGER,
    best_level INTEGER,
    best_base_fame INTEGER,
    best_total_fame INTEGER,
    FOREIGN KEY(entry_id) REFERENCES account(entry_id)
);

CREATE TABLE character (
    id INTEGER PRIMARY KEY AUTOINCREMENT,
    entry_id INTEGER,
    char_id INTEGER,
    char_class INTEGER,
    seasonal BOOLEAN,
    level INTEGER,
    exp INTEGER,
    current_fame INTEGER,
    equipment TEXT,
    equip_qs TEXT,
    max_hit_points INTEGER,
    hit_points INTEGER,
    max_magic_points INTEGER,
    magic_points INTEGER,
    attack INTEGER,
    defense INTEGER,
    speed INTEGER,
    dexterity INTEGER,
    hp_regen INTEGER,
    mp_regen INTEGER,
    health_stack_count INTEGER,
    magic_stack_count INTEGER,
    dead BOOLEAN,
    pet_name TEXT,
    pet_type INTEGER,
    pet_instance_id INTEGER,
    pet_rarity INTEGER,
    pet_max_ability_power INTEGER,
    pet_skin INTEGER,
    pet_shader INTEGER,
    pet_created_on TEXT,
    pet_inc_inv INTEGER,
    pet_inv TEXT,
    pet_ability1_type INTEGER,
    pet_ability1_power INTEGER,
    pet_ability1_points INTEGER,
    pet_ability2_type INTEGER,
    pet_ability2_power INTEGER,
    pet_ability2_points INTEGER,
    pet_ability3_type INTEGER,
    pet_ability3_power INTEGER,
    pet_ability3_points INTEGER,
    account_name TEXT,
    backpack_slots INTEGER,
    has3_quickslots INTEGER,
    creation_date TEXT
);